public class Deck
{
    private int count;
    private Card data[] = new Card [8];
    public Deck ()
    {
	count = 0;
    }

    public void shuffle ()
    {
	//1. set up arrays to hold the card data
	String n[] = {"anteater", "bear", "chameleon", "duck", "fox", "octopus", "seahorse", "turtle"};
	int p[] = {1, 2, 3, 4, 5, 6, 7, 8};
	
	//2. shuffle the order of the arrays
	for (int i = 0 ; i < 60 ; i++)
	{
	    int a = (int) (Math.random () * n.length);
	    int b = (int) (Math.random () * n.length);
	    //shuffle the pic numbers
	    int temp = p [a];
	    p [a] = p [b];
	    p [b] = temp;
	    //shuffle the names
	    String temp2 = n [a];
	    n [a] = n [b];
	    n [b] = temp2;
	}
	//3. make new objects and feed into the stack
	clear ();
	for (int i = 0 ; i < 8 ; i++)
	{
	    push (new Card (n [i], p [i]));
	}

    }

    public void push (Card addMe){
	data [count] = addMe;
	count++;
    }

    public int size (){
	return count;
    }

    public boolean isFull (){
	return (count == 50);
    }

    public Card pop (){
	count--;
	return data [count];
    }

    public Card peek (){
	return data [count--];
    }


    public boolean isEmpty ()
    {
	return count == 0;
    }


    public void clear ()
    {
	count = 0;
    }
}


